| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS
FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD
DETAIL: FIELD | CONSTR | METHOD

## Class pointAction

    java.lang.Object
      |
      +--ImageCanvas
            |
            +--pointAction

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

class pointAction
extends ImageCanvas
implements java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

This class is responsible for dealing with the mouse events relative to the image window.

Field Summary
`private boolean` | `active`
`static int` | `ADD_CROSS`
`static int` | `FILE`
`private ImagePlus` | `imp`
`static int` | `MAGNIFIER`
`static int` | `MONOSLICE`
`static int` | `MOVE_CROSS`
`static int` | `MULTISLICE`
`private pointHandler[]` | `ph`
`static int` | `REMOVE_CROSS`
`private pointToolbar` | `tb`
`static int` | `TERMINATE`

Constructor Summary
`pointAction(ImagePlus imp, pointHandler[] ph, pointToolbar tb)` This constructor stores a local copy of its parameters and initializes the current control.

Method Summary
`void` | `focusGained(java.awt.event.FocusEvent e)` Listen to `focusGained` events.
`void` | `focusLost(java.awt.event.FocusEvent e)` Listen to `focusGained` events.
`private java.lang.String` | `getValueAsString(int x, int y)`
`boolean` | `isActive()` Return true if the window is active.
`void` | `keyPressed(java.awt.event.KeyEvent e)` Listen to `keyPressed` events.
`void` | `keyReleased(java.awt.event.KeyEvent e)` Listen to `keyReleased` events.
`void` | `keyTyped(java.awt.event.KeyEvent e)` Listen to `keyTyped` events.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Listen to `mouseClicked` events.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Listen to `mouseDragged` events.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Listen to `mouseEntered` events.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Listen to `mouseExited` events.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Listen to `mouseMoved` events.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Listen to `mousePressed` events.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Listen to `mouseReleased` events.
`private void` | `setControl()`
`private int` | `sieveColors()`
`private void` | `updateStatus()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_CROSS

    public static final int ADD_CROSS

See Also:
  Constant Field Values

### MOVE_CROSS

    public static final int MOVE_CROSS

See Also:
  Constant Field Values

### REMOVE_CROSS

    public static final int REMOVE_CROSS

See Also:
  Constant Field Values

### MONOSLICE

    public static final int MONOSLICE

See Also:
  Constant Field Values

### MULTISLICE

    public static final int MULTISLICE

See Also:
  Constant Field Values

### FILE

    public static final int FILE

See Also:
  Constant Field Values

### TERMINATE

    public static final int TERMINATE

See Also:
  Constant Field Values

### MAGNIFIER

    public static final int MAGNIFIER

See Also:
  Constant Field Values

### imp

    private ImagePlus imp

### ph

    private pointHandler[] ph

### tb

    private pointToolbar tb

### active

    private boolean active

Constructor Detail

### pointAction

    public pointAction(ImagePlus imp,
                       pointHandler[] ph,
                       pointToolbar tb)

  This constructor stores a local copy of its parameters and initializes the current control.

Parameters:
  `imp` - `ImagePlus` object where points are being picked.
  `ph` - `pointHandler` object that handles operations.
  `tb` - `pointToolbar` object that handles the toolbar.

Method Detail

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Listen to `focusGained` events.

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`
  Parameters:
    `e` - Ignored.

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Listen to `focusGained` events.

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`
  Parameters:
    `e` - Ignored.

### isActive

    public boolean isActive()

  Return true if the window is active.

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Listen to `keyPressed` events.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - The expected key codes are as follows:
    - `KeyEvent.VK_DELETE`: remove the current landmark;
    - `KeyEvent.VK_BACK_SPACE`: remove the current landmark;
    - `KeyEvent.VK_COMMA`: display the previous slice, if any;
    - `KeyEvent.VK_DOWN`: move down the current landmark;
    - `KeyEvent.VK_LEFT`: move the current landmark to the left;
    - `KeyEvent.VK_PERIOD`: display the next slice, if any;
    - `KeyEvent.VK_RIGHT`: move the current landmark to the right;
    - `KeyEvent.VK_SPACE`: select the current landmark;
    - `KeyEvent.VK_TAB`: activate the next landmark;
    - `KeyEvent.VK_UP`: move up the current landmark.

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Listen to `keyReleased` events.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - Ignored.

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Listen to `keyTyped` events.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - Ignored.

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Listen to `mouseClicked` events.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - Ignored.

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Listen to `mouseDragged` events. Move the current point and refresh the image window.

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Parameters:
    `e` - Event.

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Listen to `mouseEntered` events.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - Ignored.

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Listen to `mouseExited` events. Clear the ImageJ status bar.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - Event.

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Listen to `mouseMoved` events. Update the ImageJ status bar.

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Parameters:
    `e` - Event.

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Listen to `mousePressed` events. Perform the relevant action.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - Event.

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Listen to `mouseReleased` events.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - Ignored.

### getValueAsString

    private java.lang.String getValueAsString(int x,
                                              int y)

### setControl

    private void setControl()

### sieveColors

    private int sieveColors()

### updateStatus

    private void updateStatus()

| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS
FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD
DETAIL: FIELD | CONSTR | METHOD